Skip to main content
POST
/
api
/
v1
/
flights
/
exchange-commit
Commit a flight exchange
curl --request POST \
  --url https://mcp-bff.gojinko.com/api/v1/flights/exchange-commit \
  --header 'Content-Type: application/json' \
  --data '
{
  "booking_ref": "<string>",
  "last_name": "<string>",
  "offer_id": "<string>",
  "order_id": "<string>",
  "provider": "<string>",
  "session_reference": "<string>",
  "ticket_numbers": [
    "<string>"
  ]
}
'
{
  "exchange_reference": "<string>",
  "new_order_id": "<string>",
  "new_ticket_numbers": [
    "<string>"
  ],
  "original_ticket_status": "<string>",
  "payment_outcome": "<string>",
  "status": "<string>",
  "warnings": [
    "<string>"
  ]
}

Query Parameters

provider
string

Target a specific provider (sabre, travelfusion). When omitted, uses request body provider field.

Body

application/json

Exchange commit request

booking_ref
string
last_name
string
offer_id
string
order_id
string
provider
string
session_reference
string
ticket_numbers
string[]

Response

OK

exchange_reference
string
new_order_id
string
new_ticket_numbers
string[]
original_ticket_status
string
payment_outcome
string
status
string

CONFIRMED | PENDING | PARTIAL_FAILURE

warnings
string[]